"use strict";

var Promise = require("bluebird");


// GLOBAL configuration
var jsdom = require('jsdom');
global.document = jsdom.jsdom(undefined);
global.window = document.defaultView;

global.$ = require('jQuery');
global.jQuery = $;

global.google = require('./google-map-mock');

global.GuiConnector = require('./GuiConnector-mock');
global.ServerConnector = require('./ServerConnector-mock');

global.navigator = {
  userAgent : 'node.js'
};

// -----------------------------

var logger = require('./logger');

beforeEach(function() {
  Promise.longStackTraces();

  logger.flushBuffer();
  
  global.testDiv = document.createElement("div");
  global.testDiv.id = "test";
  document.body.appendChild(testDiv);
  
  ServerConnector.init();
  ServerConnector.setToken("MOCK_TOKEN_ID");
});

after(function() {
  document.body.removeChild(global.testDiv);
  delete global.testDiv;
});
